Qt Utilities: QtUtilities::DBusNotification::Capabilities Class Reference

Qt Utilities 6.19.1 Common Qt related C++ classes and routines used by my applications such as dialogs, widgets and models

Loading...
Searching...
No Matches
Public Member Functions | List of all members
QtUtilities::DBusNotification::Capabilities Class Reference

`#include <dbusnotification.h>`

Inheritance diagram for QtUtilities::DBusNotification::Capabilities:
[legend]
Collaboration diagram for QtUtilities::DBusNotification::Capabilities:
[legend]

## Public Member Functions
| Capabilities ()
| Capabilities (const QStringList &capabilities)
bool | isValid () const
bool | supportsBody () const
bool | supportsLinks () const
bool | supportsMarkup () const
bool | supportsImages () const
bool | supportsIcon () const
bool | supportsActions () const
bool | supportsAnimatedIcon () const
bool | supportsActionIcons () const
bool | supportsSound () const
bool | supportsPercistence () const

## Detailed Description

Definition at line 35 of file dbusnotification.h.

## Constructor & Destructor Documentation

## ◆ Capabilities() [1/2]

QtUtilities::DBusNotification::Capabilities::Capabilities | ( |  | ) |
| inlineexplicit

Definition at line 129 of file dbusnotification.h.

## ◆ Capabilities() [2/2]

QtUtilities::DBusNotification::Capabilities::Capabilities | ( | const QStringList & | capabilities | ) |
| inlineexplicit

Definition at line 134 of file dbusnotification.h.

## Member Function Documentation

## ◆ isValid()

bool QtUtilities::DBusNotification::Capabilities::isValid | ( |  | ) | const
| inline

Definition at line 144 of file dbusnotification.h.

## ◆ supportsActionIcons()

bool QtUtilities::DBusNotification::Capabilities::supportsActionIcons | ( |  | ) | const
| inline

Definition at line 184 of file dbusnotification.h.

## ◆ supportsActions()

bool QtUtilities::DBusNotification::Capabilities::supportsActions | ( |  | ) | const
| inline

Definition at line 174 of file dbusnotification.h.

## ◆ supportsAnimatedIcon()

bool QtUtilities::DBusNotification::Capabilities::supportsAnimatedIcon | ( |  | ) | const
| inline

Definition at line 179 of file dbusnotification.h.

## ◆ supportsBody()

bool QtUtilities::DBusNotification::Capabilities::supportsBody | ( |  | ) | const
| inline

Definition at line 149 of file dbusnotification.h.

## ◆ supportsIcon()

bool QtUtilities::DBusNotification::Capabilities::supportsIcon | ( |  | ) | const
| inline

Definition at line 169 of file dbusnotification.h.

## ◆ supportsImages()

bool QtUtilities::DBusNotification::Capabilities::supportsImages | ( |  | ) | const
| inline

Definition at line 164 of file dbusnotification.h.

## ◆ supportsLinks()

bool QtUtilities::DBusNotification::Capabilities::supportsLinks | ( |  | ) | const
| inline

Definition at line 154 of file dbusnotification.h.

## ◆ supportsMarkup()

bool QtUtilities::DBusNotification::Capabilities::supportsMarkup | ( |  | ) | const
| inline

Definition at line 159 of file dbusnotification.h.

## ◆ supportsPercistence()

bool QtUtilities::DBusNotification::Capabilities::supportsPercistence | ( |  | ) | const
| inline

Definition at line 194 of file dbusnotification.h.

## ◆ supportsSound()

bool QtUtilities::DBusNotification::Capabilities::supportsSound | ( |  | ) | const
| inline

Definition at line 189 of file dbusnotification.h.

The documentation for this class was generated from the following file:

- misc/dbusnotification.h